package net.sf.doolin.tabular.csv;

import org.apache.commons.lang.ObjectUtils;

/**
 * Just renders the value by calling the <code>toString()</code> method on it.
 * 
 * @author Damien Coraboeuf
 */
public class PrimitiveCSVAdapter implements CSVAdapter {

	/**
	 * Just renders the value by calling the <code>toString()</code> method on
	 * it.
	 * 
	 * @see net.sf.doolin.tabular.csv.CSVAdapter#getCSVValue(java.lang.Object)
	 */
	public String getCSVValue(Object value) {
		return ObjectUtils.toString(value, "");
	}

}
